Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.olap.domain.client
Class XMLAConnectionImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
          com.jaspersoft.jasperserver.api.metadata.olap.domain.client.OlapClientConnectionImpl
              com.jaspersoft.jasperserver.api.metadata.olap.domain.client.XMLAConnectionImpl

All Implemented Interfaces:
  AttributedObject, DataSource, InternalURI, Resource, ReportDataSource, OlapClientConnection, XMLAConnection, java.io.Serializable, org.acegisecurity.acl.basic.AclObjectIdentity

    public class XMLAConnectionImpl

extends OlapClientConnectionImpl
implements XMLAConnection

Author:
  swood
See Also:
  Serialized Form

Constructor Summary
`XMLAConnectionImpl()`

Method Summary
`java.lang.String` | `getCatalog()` Catalog within the Data Source, like "FoodMart"
`java.lang.String` | `getDataSource()` XML/A Data Source, like "Provider=Mondrian;DataSource=MondrianFoodMart;"
`protected java.lang.Class` | `getImplementingItf()`
`java.lang.String` | `getPassword()` password for HTTP authentication of XMLA
`java.lang.String` | `getURI()` URI for XML/A service, like "http://localhost:8080/jpivot/xmla"
`java.lang.String` | `getUsername()` username for HTTP authentication of XMLA
`void` | `setCatalog(java.lang.String catalog)`
`void` | `setDataSource(java.lang.String xmlaDataSource)`
`void` | `setPassword(java.lang.String password)`
`void` | `setURI(java.lang.String uri)`
`void` | `setUsername(java.lang.String username)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
`getAttributes, getCreationDate, getDescription, getLabel, getName, getParentFolder, getParentPath, getParentURI, getPath, getProtocol, getResourceType, getURIString, getVersion, isNew, setAttributes, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLAConnectionImpl

    public XMLAConnectionImpl()

Method Detail

### getURI

    public java.lang.String getURI()

  Description copied from interface: `XMLAConnection`
  URI for XML/A service, like "http://localhost:8080/jpivot/xmla"

  Specified by:
    `getURI` in interface `InternalURI`
  Specified by:
    `getURI` in interface `XMLAConnection`
  Overrides:
    `getURI` in class `ResourceImpl`

### setURI

    public void setURI(java.lang.String uri)

  Specified by:
    `setURI` in interface `XMLAConnection`

### getDataSource

    public java.lang.String getDataSource()

  Description copied from interface: `XMLAConnection`
  XML/A Data Source, like "Provider=Mondrian;DataSource=MondrianFoodMart;"

  Specified by:
    `getDataSource` in interface `XMLAConnection`

### setDataSource

    public void setDataSource(java.lang.String xmlaDataSource)

  Specified by:
    `setDataSource` in interface `XMLAConnection`

### getCatalog

    public java.lang.String getCatalog()

  Description copied from interface: `XMLAConnection`
  Catalog within the Data Source, like "FoodMart"

  Specified by:
    `getCatalog` in interface `XMLAConnection`

### setCatalog

    public void setCatalog(java.lang.String catalog)

  Specified by:
    `setCatalog` in interface `XMLAConnection`

### setUsername

    public void setUsername(java.lang.String username)

  Specified by:
    `setUsername` in interface `XMLAConnection`

### getUsername

    public java.lang.String getUsername()

  Description copied from interface: `XMLAConnection`
  username for HTTP authentication of XMLA

  Specified by:
    `getUsername` in interface `XMLAConnection`

### setPassword

    public void setPassword(java.lang.String password)

  Specified by:
    `setPassword` in interface `XMLAConnection`

### getPassword

    public java.lang.String getPassword()

  Description copied from interface: `XMLAConnection`
  password for HTTP authentication of XMLA

  Specified by:
    `getPassword` in interface `XMLAConnection`

### getImplementingItf

    protected java.lang.Class getImplementingItf()

  Specified by:
    `getImplementingItf` in class `ResourceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.